<div class="shortcode-content">
    <div class="analytify-shortcode-edit-popup">
        <h3 class="popup-title"><?php esc_html_e( 'Select metrics and dimensions, sort them with metrics and show stats to your visitors (roles).', 'wp-analytify'); ?></h3>
        <div class="analytify-shortcode-edit-ui">    
            <div class="analytify-shortcode-edit-ui-selector">
                <div id="response"></div>
                <div class="selector-item">
                    <label class="matrix-label" for="metrics"><?php esc_html_e( 'Metrics: ', 'wp-analytify'); ?></label>
                        <select name="metrics[]" data-placeholder="<?php esc_html_e( 'Select at least one Metric', 'wp-analytify'); ?>" id="metrics" multiple style="width:306px;">
                            <optgroup label="<?php esc_html_e( 'user', 'wp-analytify'); ?>">
                                <option value="ga:users"><?php esc_html_e( 'Users', 'wp-analytify'); ?></option>
                                <option value="ga:newUsers"><?php esc_html_e( 'New Users', 'wp-analytify'); ?></option>
                                <option value="ga:percentNewSessions"><?php esc_html_e( 'Percent New Sessions', 'wp-analytify'); ?></option>
                            </optgroup>
                            <optgroup label="<?php esc_html_e( 'Session', 'wp-analytify'); ?>">
                                <option value="ga:sessions"><?php esc_html_e( 'Sessions', 'wp-analytify'); ?></option>
                                <option value="ga:bounces"><?php esc_html_e( 'Bounces', 'wp-analytify'); ?></option>
                                <option value="ga:bounceRate"><?php esc_html_e( 'Bounce Rate', 'wp-analytify'); ?></option>
                                <option value="ga:sessionDuration"><?php esc_html_e( 'sessionDuration', 'wp-analytify'); ?></option>
                                <option value="ga:avgSessionDuration"><?php esc_html_e( 'Avg SessionDuration', 'wp-analytify'); ?></option>
                                <option value="ga:hits"><?php esc_html_e( 'Hits', 'wp-analytify'); ?></option>
                            </optgroup>
                            <optgroup label="<?php esc_html_e( 'Page Tracking', 'wp-analytify'); ?>">
                                <option value="ga:pageValue"><?php esc_html_e( 'Page Value', 'wp-analytify'); ?></option>
                                <option value="ga:entrances"><?php esc_html_e( 'Entrances', 'wp-analytify'); ?></option>
                                <option value="ga:pageviews"><?php esc_html_e( 'Pageviews', 'wp-analytify'); ?></option>
                                <option value="ga:uniquePageviews"><?php esc_html_e( 'Unique Pageviews', 'wp-analytify'); ?></option>
                                <option value="ga:exits"><?php esc_html_e( 'Exits', 'wp-analytify'); ?></option>
                                <option value="ga:exitRate"><?php esc_html_e( 'Exit Rate', 'wp-analytify'); ?></option>
                                <option value="ga:entranceRate"><?php esc_html_e( 'Entrance Rate', 'wp-analytify'); ?></option>
                                <option value="ga:pageviewsPerSession"><?php esc_html_e( 'Pageviews Per Session', 'wp-analytify'); ?></option>
                                <option value="ga:timeOnPage"><?php esc_html_e( 'Time On Page', 'wp-analytify'); ?></option>   
                                <option value="ga:avgTimeOnPage"><?php esc_html_e( 'Avg Time On Page', 'wp-analytify'); ?></option>   
                            </optgroup>                 
                        </select>
                </div>
                <div class="selector-item">
                    <label class="matrix-label" for="dimensions"><?php esc_html_e( 'Dimensions: ', 'wp-analytify'); ?></label>
                        <select name="dimensions[]" data-placeholder="<?php esc_html_e( 'Select at least one Dimension', 'wp-analytify'); ?>" id="dimensions" multiple style="width:306px;">
                            <optgroup label="<?php esc_html_e( 'user', 'wp-analytify'); ?>">
                                <option value="ga:userType"><?php esc_html_e( 'User Type', 'wp-analytify'); ?></option>
                                <option value="ga:sessionCount"><?php esc_html_e( 'Session Count', 'wp-analytify'); ?></option>
                                <option value="ga:daysSinceLastSession"><?php esc_html_e( 'Days Since Last Session', 'wp-analytify'); ?></option>
                                <option value="ga:sessionDurationBucket"><?php esc_html_e( 'Session Duration Bucket', 'wp-analytify'); ?></option>
                            </optgroup>
                            <optgroup label="<?php esc_html_e( 'Traffic Sources', 'wp-analytify'); ?>">
                                <option value="ga:referralPath"><?php esc_html_e( 'Referral Path', 'wp-analytify'); ?></option>
                                <option value="ga:fullReferrer"><?php esc_html_e( 'Full Referrer', 'wp-analytify'); ?></option>
                                <option value="ga:source"><?php esc_html_e( 'Source', 'wp-analytify'); ?></option>
                                <option value="ga:medium"><?php esc_html_e( 'Medium', 'wp-analytify'); ?></option>
                                <option value="ga:sourceMedium"><?php esc_html_e( 'Source Medium', 'wp-analytify'); ?></option>
                                <option value="ga:keyword"><?php esc_html_e( 'Keyword', 'wp-analytify'); ?></option>
                                <option value="ga:socialNetwork"><?php esc_html_e( 'Social Network', 'wp-analytify'); ?></option>
                            </optgroup>
                            <optgroup label="<?php esc_html_e( 'Platform or Device', 'wp-analytify'); ?>">
                                <option value="ga:browser"><?php esc_html_e( 'Browser', 'wp-analytify'); ?></option>
                                <option value="ga:browserVersion"><?php esc_html_e( 'Browser Version', 'wp-analytify'); ?></option>
                                <option value="ga:operatingSystem"><?php esc_html_e( 'Operating System', 'wp-analytify'); ?></option>
                                <option value="ga:operatingSystemVersion"><?php esc_html_e( 'Operating System Version', 'wp-analytify'); ?></option>
                                <option value="ga:mobileDeviceBranding"><?php esc_html_e( 'Mobile Device Branding', 'wp-analytify'); ?></option> 
                                <option value="ga:mobileDeviceModel"><?php esc_html_e( 'Mobile Device Model', 'wp-analytify'); ?></option>
                                <option value="ga:mobileInputSelector"><?php esc_html_e( 'Mobile Input Selector', 'wp-analytify'); ?></option>  
                                <option value="ga:mobileDeviceInfo"><?php esc_html_e( 'Mobile Device Info', 'wp-analytify'); ?></option>  
                                <option value="ga:mobileDeviceMarketingName"><?php esc_html_e( 'Mobile Device MarketingName', 'wp-analytify'); ?></option> 
                                <option value="ga:deviceCategory"><?php esc_html_e( 'Device Category', 'wp-analytify'); ?></option> 
                                <option value="ga:flashVersion"><?php esc_html_e( 'Flash Version', 'wp-analytify'); ?></option> 
                                <option value="ga:javaEnabled"><?php esc_html_e( 'Java Enabled', 'wp-analytify'); ?></option>
                                <option value="ga:language"><?php esc_html_e( 'Language', 'wp-analytify'); ?></option>                     
                                <option value="ga:screenColors"><?php esc_html_e( 'ScreenColors', 'wp-analytify'); ?></option>                     
                                <option value="ga:screenResolution"><?php esc_html_e( 'ScreenResolution', 'wp-analytify'); ?></option>                     
                            </optgroup>
                            <optgroup label="<?php esc_html_e( 'Page Tracking', 'wp-analytify'); ?>">
                                <option value="ga:hostname"><?php esc_html_e( 'Hostname', 'wp-analytify'); ?></option>                     
                                <option value="ga:pagePath"><?php esc_html_e( 'Page Path', 'wp-analytify'); ?></option>                     
                                <option value="ga:pageTitle"><?php esc_html_e( 'Page Title', 'wp-analytify'); ?></option>                     
                                <option value="ga:landingPagePath"><?php esc_html_e( 'Landing Page Path', 'wp-analytify'); ?></option>                     
                                <option value="ga:secondPagePath"><?php esc_html_e( 'secondPagePath', 'wp-analytify'); ?></option>                     
                                <option value="ga:exitPagePath"><?php esc_html_e( 'Exit Page Path', 'wp-analytify'); ?></option>                     
                                <option value="ga:previousPagePath"><?php esc_html_e( 'Previous Page Path', 'wp-analytify'); ?></option>                     
                                <option value="ga:nextPagePath"><?php esc_html_e( 'Next Page Path', 'wp-analytify'); ?></option>                     
                                <option value="ga:pageDepth"><?php esc_html_e( 'Page Depth', 'wp-analytify'); ?></option>                     
                            </optgroup>                   
                        </select>
                </div>
                <div class="selector-item">
                    <label for="permission_view"><?php esc_html_e( 'Visible to (roles) : ', 'wp-analytify'); ?></label>
                        <select name="permission_view" data-placeholder="Show Stats (roles wise)" id="permission_view" multiple style="width:306px">
                            <option value=""><?php esc_html_e( 'Everyone', 'wp-analytify'); ?></option>
                            <?php
                                if ( !isset( $wp_roles ) )
                                {
                                  
                                    $wp_roles = new WP_Roles();
                                }
                              
                              foreach ( $wp_roles->role_names as $role => $name ) {
                                 
                            ?>
                                <option value="<?php echo $role; ?>"><?php esc_html_e(  $name, 'wp-analytify'); ?></option>
                            <?php } ?>                  
                        </select>
                </div>
                <div style="clear:both"></div>
                <div class="selector-item">
                    <label for="sort_by"><?php esc_html_e( 'Sort By: ', 'wp-analytify'); ?></label>
                        <select name="sort_by" id="sort_by">
                            <option value="-ga:sessions"><?php esc_html_e( 'Sessions', 'wp-analytify'); ?></option>
                            <option value="-ga:users"><?php esc_html_e( 'Users', 'wp-analytify'); ?></option>
                            <option value="-ga:newUsers"><?php esc_html_e( 'New Users', 'wp-analytify'); ?></option>
                            <option value="-ga:percentNewSessions"><?php esc_html_e( 'Percent New Sessions', 'wp-analytify'); ?></option>
                            <option value="-ga:bounces"><?php esc_html_e( 'Bounces', 'wp-analytify'); ?></option>
                            <option value="-ga:bounceRate"><?php esc_html_e( 'BounceRate', 'wp-analytify'); ?></option>
                            <option value="-ga:hits"><?php esc_html_e( 'Hits', 'wp-analytify'); ?></option>
                            <option value="-ga:pageValue"><?php esc_html_e( 'Page Value', 'wp-analytify'); ?></option>
                            <option value="-ga:entrances"><?php esc_html_e( 'Entrances', 'wp-analytify'); ?></option>
                            <option value="-ga:pageviews"><?php esc_html_e( 'Pageviews', 'wp-analytify'); ?></option>
                            <option value="-ga:uniquePageviews"><?php esc_html_e( 'Unique Pageviews', 'wp-analytify'); ?></option>
                            <option value="-ga:exits"><?php esc_html_e( 'Exits', 'wp-analytify'); ?></option>
                            <option value="-ga:entranceRate"><?php esc_html_e( 'EntranceRate', 'wp-analytify'); ?></option>
                            <option value="-ga:pageviewsPerSession"><?php esc_html_e( 'Pageviews Per Session', 'wp-analytify'); ?></option>
                            <option value="-ga:entranceRate"><?php esc_html_e( 'Entrance Rate', 'wp-analytify'); ?></option>
                            <option value="-ga:timeOnPage"><?php esc_html_e( 'Time On Page', 'wp-analytify'); ?></option>                    
                        </select>
                </div>
                <div class="selector-item">
                    <label for="analytics_for"><?php esc_html_e( 'Analytics for: ', 'wp-analytify'); ?></label>
                        <select name="analytics_for" id="analytics_for">
                            <option value="current"><?php esc_html_e( 'Current page', 'wp-analytify'); ?></option>
                            <option value="full"><?php esc_html_e( 'Full Site', 'wp-analytify'); ?></option>
                        </select>
                </div>
                <div style="clear:both"></div>
                
                <div class="selector-item">
                    <label for="date_range"><?php esc_html_e( 'Date range: ', 'wp-analytify'); ?></label>
                    <select name="analytify_date_type" id="analytify_date_type">
                            <option value="custom"><?php esc_html_e( 'Custom', 'wp-analytify'); ?></option>
                            <option value="today"><?php esc_html_e( 'Today', 'wp-analytify'); ?></option>
                            <option value="- 1 days"><?php esc_html_e( 'Yesterday', 'wp-analytify'); ?></option>
                            <option value="- 15 days"><?php esc_html_e( 'Last 15 days', 'wp-analytify'); ?></option>
                            <option value="- 7 days"><?php esc_html_e( 'Last 7 Days', 'wp-analytify'); ?></option>
                            <option value="- 30 days"><?php esc_html_e( 'Last 30 Days', 'wp-analytify'); ?></option>
                    </select>
                </div>

                <div class="selector-item analytify_start_date">
                    <label for="start_date"><?php esc_html_e( 'Start Date: ', 'wp-analytify'); ?></label>
                    <input type="text" id="analytify_start_date" />
                </div>
                <div class="selector-item analytify_end_date">
                    <label for="analytify_end_date"><?php esc_html_e( 'End Date: ', 'wp-analytify'); ?></label>
                    <input type="text" id="analytify_end_date" />
                </div>
                <div style="clear:both"></div>
                <div class="selector-item">
                    <label for="analytify_max_result"><?php esc_html_e( 'Max records: ', 'wp-analytify'); ?></label>
                    <input type="number" value="5" id="analytify_max_result" />
                </div>
                <div style="clear:both"></div>
                <div class="selector-item right-side">
                    <button id="insert_stats" class="button-primary" style="padding:0 18px;"><?php esc_html_e( 'Ok', 'wp-analytify'); ?></button>
                    <button id="cancel" class="button"><?php esc_html_e( 'Cancel', 'wp-analytify'); ?></button>
                </div>
            </div>
        </div>
        
    </div>
    
</div>

<script type="text/javascript">
    
    jQuery(function($) {

        $('#analytify_date_type').on( "change", function(){

            if($(this).val() != 'custom') {

                $('.analytify_start_date, .analytify_end_date').hide();

            }else{

                $('.analytify_start_date, .analytify_end_date').show();

            }
        //console.log( $(this).val() );

    });

    });

    jQuery( '#metrics' ).chosen({max_selected_options: 10}); 
    jQuery( '#dimensions' ).chosen({max_selected_options: 7});
    jQuery( '#sort_by,#permission_view' ).chosen();




    jQuery( '#analytify_start_date' ).datepicker({
        dateFormat : 'yy-mm-dd',
        changeMonth : true,
        changeYear : true,
        yearRange: '-9y:c+nn'       
    }).datepicker( 'setDate', new Date() );
    
    jQuery( '#analytify_end_date' ).datepicker({
        dateFormat : 'yy-mm-dd',
        changeMonth : true,
        changeYear : true,
        yearRange: '-9y:c+nn'       
    }).datepicker( 'setDate',new Date() );
    
    jQuery( '#cancel' ).click( function(){
     
        tb_remove();
    });
    
    jQuery( '#insert_stats' ).click( function(){
        
        var all_metrics,all_dimensions,dimensions,start_date,end_date,
            max_result,sort,shorcode,permission_view,metrics,analytics_for;
        
        metrics         =  jQuery( '#metrics' ).val();
        dimensions      =  jQuery( '#dimensions' ).val();
        date_type       =  jQuery( '#analytify_date_type' ).val();
        start_date      =  jQuery( '#analytify_start_date') .val();
        end_date        =  jQuery( '#analytify_end_date' ).val();
        max_result      =  jQuery( '#analytify_max_result' ).val();
        sort            =  jQuery( '#sort_by' ).val();
        analytics_for   =  jQuery( '#analytics_for' ).val();
        permission_view =  jQuery( '#permission_view' ).val();

        if( metrics == null ){
            jQuery( '#response' ).html( '<div id="error" class="error below-h2" style="clear: both;">At least one Metric is required.</div>' );
        }
        else{
            all_metrics = metrics.join();
        }

        if( dimensions == null ){
            jQuery( '#response' ).html( '<div id="error" class="error below-h2" style="clear: both;">At least one Dimension is required.</div>' );
            
        }else{
            all_dimensions = dimensions.join();
        }

        if( permission_view == null ){
            permission_view = '';
        }
        
        if( dimensions != null && permission_view != null ){
             all_dimensions = dimensions.join();

            if( date_type == 'custom')
                shortcode = '[analytify-stats metrics="'+all_metrics+'" dimensions="'+all_dimensions+'" date_type="'+date_type+'" start_date="'+start_date+'" end_date="'+end_date+'" max_results="'+max_result+'" sort="'+sort+'" analytics_for="'+analytics_for+'" permission_view="'+permission_view+'"]';
            else
                shortcode = '[analytify-stats metrics="'+all_metrics+'" dimensions="'+all_dimensions+'" date_type="'+date_type+'" max_results="'+max_result+'" sort="'+sort+'" analytics_for="'+analytics_for+'" permission_view="'+permission_view+'"]';
        }
        else{
            shortcode= '[analytify-stats metrics="'+all_metrics+'" dimensions="" start_date="'+start_date+'" end_date="'+end_date+'" max_results="'+max_result+'" sort="'+sort+'" analytics_for="'+analytics_for+'" permission_view=""]';
        }

        if( metrics != null && dimensions != null ){
            tinyMCE.activeEditor.execCommand( 'mceInsertContent', 0, shortcode );
            tb_remove();
        }
    });
</script>